1. One-time payments
English
  • Español
  • English
  • Bienvenidos
  • ONLINE PAYMENTS
    • CARD
      • 1. Request a card token
      • 2. Make a charge or deferred charge
      • 3. Void a transaction
      • 4. Refund a transaction
      • 5. Request deferred options
      • 6. Authorize payments
      • 7. Capture an authorized payment
      • 8. Bin Info
      • 9. Bin Info V2
      • 10. Validate OTP
      • 11. Voucher
      • 5. Request deferred options
      • 8. Bin Info
      • 10. Validate OTP
      • 3. Void a transaction
      • 4. Refund a transaction
      • 6. Authorize payments
      • 1. Request a card token
      • 7. Capture an authorized payment
      • 11. Voucher
      • 2. Make a charge or deferred charge
      • 9. Bin Info V2
    • CASH IN
      • 1. Request a cash in token
      • 2. Init Transaction
      • 3. Transaction Status
      • 1. Request a cash in token
      • 2. Init Transaction
      • 3. Transaction Status
    • TRANSFER IN
      • 1. Get Bank List
      • 2. Request a Transfer In token
      • 3. Init Transaction
      • 4. Get Status
      • 1. Get Bank List
      • 4. Get Status
      • 2. Request a Transfer In token
      • 3. Init Transaction
    • TRANSFER OUT
      • 1. Get Bank List
      • 2. Request a Transfer Out token
      • 3. Init Transaction
      • 4. Get Status
      • 5. Wallet Balance
      • 2. Request a Transfer Out token
      • 1. Get Bank List
      • 5. Wallet Balance
      • 3. Init Transaction
      • 4. Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • 1. Request a recurring charge token
      • 2. Create a recurring charge
      • 3. Update recurring charge card data
      • 4. Make an One-click payment
      • 5. Cancel a recurring charge
      • 6. Update a recurring charge
      • 7. Add a temporary charge or discount
      • 8. Authorize payments
      • 9. Capture an authorized payment
      • 10. Get recurring charge Info
      • 3. Update recurring charge card data
      • 7. Add a temporary charge or discount
      • 10. Get recurring charge Info
      • 5. Cancel a recurring charge
      • 6. Update a recurring charge
      • 4. Make an One-click payment
      • 9. Capture an authorized payment
      • 8. Authorize payments
      • 2. Create a recurring charge
      • 1. Request a recurring charge token
    • PAYMENT BUTTON
      • 1. Create a payment button
      • 1. Create a payment button
    • SMARTLINKS V2
      • 1. Create a Smartlink
      • 2. Get a Smartlink
      • 3. Delete a Smartlink
      • 4. Update a Smartlink
      • 3. Delete a Smartlink
      • 4. Update a Smartlink
      • 1. Create a Smartlink
      • 2. Get a Smartlink
    • PAYMENT CREDENTIALS
      • 1. Create a credential
      • 2. Search credentials
      • 3. Advanced search
      • 4. Activate or deactivate
      • 5. Delete credential
      • 6. Update credential
      • 7. Regenerate a credential
      • 6. Update credential
      • 5. Delete credential
      • 4. Activate or deactivate
      • 2. Search credentials
      • 1. Create a credential
      • 3. Advanced search
      • 7. Regenerate a credential
    • COMMISSIONS
      • 1. Get Commission Configuration
      • 1. Get Commission Configuration
    • GATEWAY STATUS
      • 1. Get gateway status
      • 1. Get gateway status
    • ANALYTICS
      • 1. Get transactions list
      • 1. Get transactions list
    • ASYNC CARD RECURRING CHARGES
      • 1. Request a token
      • 2. Init an async card recurring charge
      • 3. Authorize payments
      • 4. Capture an authorized payment
      • 2. Init an async card recurring charge
      • 4. Capture an authorized payment
      • 1. Request a token
      • 3. Authorize payments
    • CARD ASYNC
      • 1. Request a card async token
      • 2. Init Transaction
      • 3. Authorize payments Copy
      • 4. Capture an authorized payment Copy
      • 5. Get Status
      • 4. Capture an authorized payment Copy
      • 5. Get Status
      • 3. Authorize payments Copy
      • 2. Init Transaction
      • 1. Request a card async token
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • error-catalog
    • Test data
    • One-time payments
      • Single payment
        POST
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Card information
      • Balance inquiries
      • Get BIN Info
      • BIN info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
Perú 🇵🇪APPIAN-SUBMERCHANT-REGISTERMéxico 🇲🇽Ecuador 🇪🇨Chile 🇨🇱
Perú 🇵🇪APPIAN-SUBMERCHANT-REGISTERMéxico 🇲🇽Ecuador 🇪🇨Chile 🇨🇱
  1. One-time payments

Single payment

POST
/pos/v1/transaction

POS Transactions#

With this endpoint you can:
Take payments
Make deferred charge
Take payments with tips
Make payments with cashback

Take payments#

You can make card present payments in different currencies by adding taxes, deferring a transaction, or making a cashback by reading a physical card with a terminal.

Supported Reading Channels#

We support the following reading channels. The fields you send to us to process a charge may differ depending on the reading type.
ICC= Integrated Circuit Card
MCR= Magnetic Card reader
NFC= Near Field Communication

Technical Information#

URL: https://api-uat.kushkipagos.com/pos/v1/transaction
Method: POST

Parameter Table#

ParameterTypeRequiredDescription
transaction_typeStringYesThe type of transaction to process. Use charge for standard or deferred payments.
transaction_modeStringYesThe mode of the transaction. Use Authorization.
is_deferredBooleanNoSet to true if the transaction is an installment/deferred payment.
deferredObjectNoObject containing deferred payment details.
deferred.monthsStringNoThe total number of months for which the payment will be deferred.
deferred.credit_typeStringNo(Chile Specific) Use "03" for Merchant Installments (Cuotas Comercio).
tipNumberNoThe tip amount added to the transaction.
is_cashbackBooleanNoSet to true to process a cashback transaction.
cashback_amountNumberNoThe amount of cash to be returned to the customer.

Structure#

Single charge#

To make a charge, send charge in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request.

Deferred charges#

To defer a payment, if your customer requests to defer the charge of the transaction made at your store, you need to consume the endpoint https://api-uat.kushkipagos.com/pos/v1/transaction in the request body, include charge in the transaction_type field and Authorization in the transaction_mode field. Also, include the value of is_deferred in true, send the deferred object and in months, include the total number of months for which your customer’s payment will be deferred.

Deferred Charges in Chile 🇨🇱#

:::info Beta Phase & Enablement
Beta Phase: Merchant installments (cuotas comercio) for Chile are currently in Beta and subject to changes.
Enablement: To use this feature, you must contact the Kushki team to configure it in your customer console.
:::
For Chile, you can offer two types of installments:
Merchant Installments (Cuotas Comercio): From 2 to 12 installments. To specify this type, you must send the credit_type field with the value "03" inside the deferred object.
Issuer Installments (Cuotas Emisor): From 2 to 48 installments.

Accepting payments with tips#

You can accept payments with tips by adding an additional field with the tip information.
To accept this type of service, you need to consume the endpoint https://api-uat.kushkipagos.com/pos/v1/transaction and include the tip amount in the tip field. Send Authorization in the transaction_mode field and Charge in the transaction_type as part of the request body.
NOTE
The tip amount is in addition to the total amount of the transaction sent in the fields subtotal_iva or subtotal_iva0

Accepting payments with cashback (Only Chile 🇨🇱)#

Kushki allows you to make a cashback at the time of a physical card payment. To accept this type of service, you need to consume the endpoint https://api-uat.kushkipagos.com/pos/v1/transaction and send the value of the is_cashback parameter in true and specify the cashback amount in cashback_amount.
Important
Please note that cashback only works with local cards.
Cashback is not supported for contactless transactions. Ensure the reading_type is not set to NFC.

Request Example (Chile - Merchant Installments)#

{
  "amount": {
    "currency": "CLP",
    "extra_taxes": {},
    "iva": 0,
    "subtotal_iva": 0,
    "subtotal_iva0": 10000,
    "tip": 0
  },
  "card": {
    "card_holder_name": "John Doe"
  },
  "card_details": {
    "enc_tlv": "8332743DB0D0FAA29CF0AA187558BE3EF056085299635BAD4147E5D50D70D6E01A396081D618BA3001AF8262CD8F52DC67C995D9E99E824EC7995FE20AD5E5FE850B29863A2E61D8BD6A2951A2F24CD0AEE4087020745EB48CC5B40E2AE2263D5BB47D4D508D8DC69E54C8ECC2AB6F471C299D1CAB1712CCD2E2D378A57D285E7139CCC6C98D57D8A6C30B1CE110DDE23C28C9C7FCAFEF2023AE4FC8B03BE86CA1B673D962D9E7EA",
    "pin_ksn": "FFFF4357486333600003",
    "reading_type": "NFC",
    "tracks": {
      "enc_track2": "A5A26987202B4E8F3A595E0116A85E56D842005394315A18",
      "track_ksn": "FFFF4357486333600003"
    }
  },
  "client_transaction_id": "dbdeb25b-b34a-4b6c-b664-085ea9552954",
  "country": "CLP",
  "cvm_type": "none",
  "deferred": {
    "months": "10",
    "credit_type": "03"
  },
  "is_cashback": false,
  "is_deferred": true,
  "pos_details": {
    "brand": "SUNMI",
    "has_print": true,
    "location": {
      "latitude": -1.2346533333333334,
      "longitude": -78.61959166666666
    },
    "model": "P2-EU",
    "terminal_id": "PB04209860189",
    "version": "Kushki SunmiV1.1.28"
  },
  "transaction_mode": "Authorization",
  "transaction_type": "charge"
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": {
        "currency": "CLP",
        "iva": 0,
        "subtotal_iva": 0,
        "subtotal_iva0": 60000,
        "tip": 0,
        "extra_taxes": {
            "airport_tax": 0,
            "iac": 0,
            "ice": 0,
            "travel_agency": 0
        }
    },
    "card_details": {
        "enc_tlv": "CE447A062C49774934E42A7F826668C0C478E38402C158062EE794C0E471B43EA8CE49C256C2C8B157526B0B2BE74FC23F65E18D4F52B99A1A0910E6CCD9B11A32D6D537E2B6E2B011C89569DE6A3D53318080BC77E0E70B398ED3083FD7366CCF8FB4DBF34A116E6D52CFBEF26371878D842034E5029EF62DF235D2C427F04102E451773D9E8975978917E3BC531327702967052E239F8C592734AE14688E603C52B858FC1D97B763AE623603F1475FFFB065EC07AF7A29",
        "pin_ksn": "FFFF4357486333600002",
        "reading_type": "ICC",
        "tracks": {
            "enc_track2": "283587285CE10278E7FA50AD5C97CFFE87F472C9FE6406F8",
            "track_ksn": "FFFF4357486333600002"
        }
    },
    "card": {
        "card_holder_name": "John Doe"
    },
    "contact_details": {
        "document_number": "",
        "document_type": "-1",
        "email": "",
        "first_name": "",
        "last_name": "",
        "second_last_name": "",
        "phone_number": ""
    },
    "pos_details": {
        "terminal_id": "PB04216R20537",
        "brand": "SUNMI",
        "location": {
            "latitude": -0.22480833333333333,
            "longitude": -78.487955
        },
        "model": "P2-EU",
        "version": "Kushki SunmiV1.1.26",
        "has_print": true
    },
    "country": "CLP",
    "is_deferred": false,
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "merchant_id": "0987654321",
    "transaction_type": "charge",
    "transaction_mode": "Authorization",
    "is_cashback": false,
    "cvm_type": "none"
}'
Response Response Example
200 - Approved charge transaction
{
    "additional_amounts": {
        "account_type": "",
        "amount": 0,
        "amount_type": "",
        "card_type": "",
        "currency_code": ""
    },
    "authorized_amount": 611,
    "card_type": "credit",
    "cvm_type": "none",
    "F11": "101619",
    "franchise": "MASTERCARD",
    "kushki_response": {
        "code": "000",
        "message": "Transacción Aprobada."
    },
    "message_fields": {
        "F38": "121866",
        "F39": "00"
    },
    "transaction_reference": "fb1d8f34-31fc-4d9d-ab7e-375d7f0801a5",
    "transaction_status": "APPROVAL",
    "transaction_type": "charge",
    "ticket_number": "111727462978861299"
}
Modified at 2026-04-16 14:01:17
Previous
One-time payments
Next
Two-step-payments
Built with